commit:     6f5d9fad0e665544f0a10fcf86c9565cbb399485
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 18 17:30:58 2023 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Thu Oct 26 11:53:08 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f5d9fad

dev-python/pplpy: new package, add 0.8.9

Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 dev-python/pplpy/Manifest           |  1 +
 dev-python/pplpy/metadata.xml       | 27 ++++++++++++++++++++
 dev-python/pplpy/pplpy-0.8.9.ebuild | 49 +++++++++++++++++++++++++++++++++++++
 3 files changed, 77 insertions(+)

diff --git a/dev-python/pplpy/Manifest b/dev-python/pplpy/Manifest
new file mode 100644
index 000000000000..b51b6c65f034
--- /dev/null
+++ b/dev-python/pplpy/Manifest
@@ -0,0 +1 @@
+DIST pplpy-0.8.9.tar.gz 66017 BLAKE2B 
90da3b4c3e992d0ca969925d8142b114fbbfd5214a768f2e56825d8689e2c4aa2e68a3fa45da9df68168a28413153eb189df277157823e88503668be5c26505c
 SHA512 
618a0a1d603e2859313ad4f71b3cc40156a06371c6b8971fdab8275f6676fc19510e3927828c641819399b5ea6646e954738309fbf8c10fba5733c7410ed75fc

diff --git a/dev-python/pplpy/metadata.xml b/dev-python/pplpy/metadata.xml
new file mode 100644
index 000000000000..18bf8b9ca3a9
--- /dev/null
+++ b/dev-python/pplpy/metadata.xml
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="person">
+    <email>[email protected]</email>
+  </maintainer>
+
+  <maintainer type="person" proxied="yes">
+    <email>[email protected]</email>
+    <name>François Bissey</name>
+  </maintainer>
+
+  <maintainer type="project" proxied="proxy">
+    <email>[email protected]</email>
+    <name>Proxy Maintainers</name>
+  </maintainer>
+
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>Gentoo Mathematics Project</name>
+  </maintainer>
+
+  <upstream>
+    <remote-id type="pypi">pplpy</remote-id>
+    <remote-id type="github">sagemath/pplpy</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/dev-python/pplpy/pplpy-0.8.9.ebuild 
b/dev-python/pplpy/pplpy-0.8.9.ebuild
new file mode 100644
index 000000000000..91a965367055
--- /dev/null
+++ b/dev-python/pplpy/pplpy-0.8.9.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_EXT=1
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings for the Parma Polyhedra Library (PPL)"
+HOMEPAGE="https://pypi.org/project/pplpy/
+       https://github.com/sagemath/pplpy";
+
+# The file headers under ppl/ contain the "or later" bit
+LICENSE="GPL-3+"
+
+# API/ABI changes in point releases
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="doc"
+
+DEPEND="dev-libs/ppl
+       dev-python/cysignals[${PYTHON_USEDEP}]
+       dev-python/gmpy[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"
+BDEPEND="dev-python/cython[${PYTHON_USEDEP}]
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+python_compile() {
+       # Parallel build breaks the test suite somehow. This should be
+       # reported upstream but first someone will need to figure out
+       # how to reproduce it outside of Gentoo.
+       distutils-r1_python_compile -j 1
+}
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_install_all(){
+       use doc && local HTML_DOCS=( docs/build/html/. )
+       distutils-r1_python_install_all
+}
+
+python_test(){
+       "${EPYTHON}" setup.py test || die
+}

Reply via email to